OGRE-Next: Ogre::v1::VertexPoseKeyFrame Class Reference

| OGRE-Next 3.0.0 Object-Oriented Graphics Rendering Engine

Loading...
Searching...
No Matches
Ogre::v1::VertexPoseKeyFrame Class Reference
Core » Animation

Specialised KeyFrame which references a Mesh::Pose at a certain influence level, which stores offsets for a subset of the vertices in a buffer to provide a blendable pose. More...

`#include <OgreKeyFrame.h>`

Inheritance diagram for Ogre::v1::VertexPoseKeyFrame:
[legend]

## Classes
struct | PoseRef
| Reference to a pose at a given influence level. More...

## Public Types
typedef ConstVectorIterator< PoseRefList > | ConstPoseRefIterator
typedef VectorIterator< PoseRefList > | PoseRefIterator
typedef vector< PoseRef >::type | PoseRefList

## Public Member Functions
| VertexPoseKeyFrame (const AnimationTrack *parent, Real time)
| Default constructor, you should not call this but use AnimationTrack::createKeyFrame instead.
| ~VertexPoseKeyFrame () override
void | _applyBaseKeyFrame (const VertexPoseKeyFrame *base)
KeyFrame * | _clone (AnimationTrack *newParent) const override
| Clone a keyframe (internal use only).
void | addPoseReference (ushort poseIndex, Real influence)
| Add a new pose reference.
PoseRefIterator | getPoseReferenceIterator ()
| Get an iterator over the pose references.
ConstPoseRefIterator | getPoseReferenceIterator () const
| Get a const iterator over the pose references.
const PoseRefList & | getPoseReferences () const
| Get a const reference to the list of pose references.
void | removeAllPoseReferences ()
| Remove all pose references.
void | removePoseReference (ushort poseIndex)
| Remove reference to a given pose.
void | updatePoseReference (ushort poseIndex, Real influence)
| Update the influence of a pose reference.
Public Member Functions inherited from Ogre::v1::KeyFrame
| KeyFrame (const AnimationTrack *parent, Real time)
| Default constructor, you should not call this but use AnimationTrack::createKeyFrame instead.
virtual | ~KeyFrame ()
Real | getTime () const
| Gets the time of this keyframe in the animation sequence.

## Detailed Description

Specialised KeyFrame which references a Mesh::Pose at a certain influence level, which stores offsets for a subset of the vertices in a buffer to provide a blendable pose.

## Member Typedef Documentation

## ◆ ConstPoseRefIterator

typedef ConstVectorIterator<PoseRefList> Ogre::v1::VertexPoseKeyFrame::ConstPoseRefIterator

## ◆ PoseRefIterator

typedef VectorIterator<PoseRefList> Ogre::v1::VertexPoseKeyFrame::PoseRefIterator

## ◆ PoseRefList

typedef vector<PoseRef>::type Ogre::v1::VertexPoseKeyFrame::PoseRefList

## Constructor & Destructor Documentation

## ◆ VertexPoseKeyFrame()

Ogre::v1::VertexPoseKeyFrame::VertexPoseKeyFrame | ( | const AnimationTrack * | parent,
|  | Real | time )

Default constructor, you should not call this but use AnimationTrack::createKeyFrame instead.

Referenced by _applyBaseKeyFrame().

## ◆ ~VertexPoseKeyFrame()

Ogre::v1::VertexPoseKeyFrame::~VertexPoseKeyFrame | ( |  | ) |
| inlineoverride

## Member Function Documentation

## ◆ _applyBaseKeyFrame()

void Ogre::v1::VertexPoseKeyFrame::_applyBaseKeyFrame | ( | const VertexPoseKeyFrame * | base | ) |

References VertexPoseKeyFrame().

## ◆ _clone()

KeyFrame * Ogre::v1::VertexPoseKeyFrame::_clone | ( | AnimationTrack * | newParent | ) | const
| overridevirtual

Clone a keyframe (internal use only).

Reimplemented from Ogre::v1::KeyFrame.

References Ogre::v1::KeyFrame::KeyFrame().

## ◆ addPoseReference()

void Ogre::v1::VertexPoseKeyFrame::addPoseReference | ( | ushort | poseIndex,
|  | Real | influence )

Add a new pose reference.

See also
  PoseRef

## ◆ getPoseReferenceIterator() [1/2]

PoseRefIterator Ogre::v1::VertexPoseKeyFrame::getPoseReferenceIterator | ( |  | ) |

Get an iterator over the pose references.

## ◆ getPoseReferenceIterator() [2/2]

ConstPoseRefIterator Ogre::v1::VertexPoseKeyFrame::getPoseReferenceIterator | ( |  | ) | const

Get a const iterator over the pose references.

## ◆ getPoseReferences()

const PoseRefList & Ogre::v1::VertexPoseKeyFrame::getPoseReferences | ( |  | ) | const

Get a const reference to the list of pose references.

## ◆ removeAllPoseReferences()

void Ogre::v1::VertexPoseKeyFrame::removeAllPoseReferences | ( |  | ) |

Remove all pose references.

## ◆ removePoseReference()

void Ogre::v1::VertexPoseKeyFrame::removePoseReference | ( | ushort | poseIndex | ) |

Remove reference to a given pose.

Parameters

  poseIndex | The pose index (not the index of the reference)

## ◆ updatePoseReference()

void Ogre::v1::VertexPoseKeyFrame::updatePoseReference | ( | ushort | poseIndex,
|  | Real | influence )

Update the influence of a pose reference.

See also
  PoseRef

The documentation for this class was generated from the following file:

- OgreKeyFrame.h